-- Explicit cursor using parameters
SET SERVEROUTPUT ON;

DECLARE
	CURSOR cur_emp(ldeptno NUMBER) IS SELECT * FROM emp WHERE deptno=ldeptno;
	reg_emp emp%ROWTYPE;
	soma_sal NUMBER := 0;
BEGIN
	OPEN cur_emp(20);
	LOOP
		FETCH cur_emp INTO reg_emp;
		EXIT WHEN cur_emp%NOTFOUND;
		soma_sal := soma_sal + reg_emp.sal;
 		DBMS_OUTPUT.PUT_LINE('-->'||
							LPAD(cur_emp%ROWCOUNT,10)              ||'  '||
							LPAD(reg_emp.empno,10)                 ||'  '||
							RPAD(reg_emp.ename,10)                 ||'  '||
							RPAD(reg_emp.job,  10)                 ||'  '||
							RPAD(NVL(TO_CHAR(reg_emp.mgr),' '),10) ||'  '||
							LPAD(reg_emp.sal,  10)                 ||'  '||
							LPAD(reg_emp.deptno,10));
	END LOOP;
	DBMS_OUTPUT.PUT_LINE('Soma SAL='||soma_sal);
	DBMS_OUTPUT.PUT_LINE(LPAD('-',80,'-'));
	CLOSE cur_emp;
END;
/
