-- create a procedure with a parameter IN OUT - receives input data and returns a changed value
SET SERVEROUPUT ON;

CREATE OR REPLACE PROCEDURE my_name_format (myname IN OUT VARCHAR2) IS
	pos NUMBER;
BEGIN
	--find first white space
	pos := INSTR(myname,' ',-1);
	myname := SUBSTR(myname,pos+1) || ', ' || SUBSTR(myname,1,pos-1); 
END;
/

SHOW ERRORS;

-- Anonymous block to test the procedure
DECLARE
	full_name varchar2(20);
BEGIN
	full_name := 'António Oliveira';
	my_name_format(full_name);
	DBMS_OUTPUT.PUT_LINE(full_name);
END;
/
