-- Exception to deal with empty array or empty result set
SET SERVEROUTPUT ON;

DECLARE
	TYPE tab_cods IS TABLE OF VARCHAR(20) INDEX BY BINARY_INTEGER;
	t   tab_cods;
    i   BINARY_INTEGER := 1;
BEGIN
	--t(i) := 'AAAAAAA';
	dbms_output.put_line(t.COUNT);
	dbms_output.put_line('t(i)=' || t(i));
EXCEPTION
	WHEN NO_DATA_FOUND THEN
		DBMS_OUTPUT.PUT_LINE('Empty array');
	WHEN COLLECTION_IS_NULL THEN
		DBMS_OUTPUT.PUT_LINE('Before using an array you must initialize it');
END;
