-- Define 2 types of arrays
--     VARRAY
--     Table of integer that has elements referenced by varchar2
SET SERVEROUTPUT ON;

DECLARE 
	TYPE t_country IS VARRAY(3) OF VARCHAR2(10);
	country t_country;
	TYPE t_population IS TABLE OF INTEGER INDEX BY VARCHAR2(10);
	population t_population;
	dimension INTEGER;
BEGIN
	-- define a VARRAY
	country := t_country('England', 'Portugal', 'Spain');
    -- define a TABLE that has elements indexed using a string
	population(country(1)) := 67695366;
    population(country(2)) := 10212472;
   	population(country(3)) := 46745144;
	dimension := country.count;
	FOR i IN 1 .. dimension LOOP
		DBMS_OUTPUT.PUT_LINE(country(i) || ' has ' || population(country(i)) || ' inhabitants');
	END LOOP;
END;
/
