-- Exception to deal with too many rows or empty result set
DECLARE
	n NUMBER;
BEGIN
	--SELECT sal INTO n FROM emp WHERE empno=8000;
	SELECT sal INTO n from emp;
	DBMS_OUTPUT.PUT_LINE('I executed this instruction');
EXCEPTION
	WHEN TOO_MANY_ROWS THEN
		DBMS_OUTPUT.PUT_LINE('Select returned too many roows');
		DBMS_OUTPUT.NEW_LINE;
	WHEN NO_DATA_FOUND THEN 
		DBMS_OUTPUT.PUT_LINE('No record found');
		DBMS_OUTPUT.NEW_LINE;
END;
/
