-- ORAException - define an exception associated with any Oracle error message
-- This method allows us to associate excetions to any Oracle error code

CREATE TABLE test ( 
	id number not null,
	descriptino varchar2(100)
);
INSERT INTO test VALUES (1,'aaaaaaaa');
COMMIT;

SET SERVEROUTPUT ON;

DECLARE
   ora_exception EXCEPTION;
   -- associate my_exception with Oracle error ORA-001407
   PRAGMA EXCEPTION_INIT (ora_exception, -1407 );
BEGIN
	UPDATE test SET id=NULL WHERE id=1;
EXCEPTION
	WHEN ora_exception THEN
		DBMS_OUTPUT.PUT_LINE('First column does not accept null values');
END; 
/
