-- MyException - define my own exception
-- This method allows us to raise an exception not associated with an Oracle error message,
-- so it can be raised when an aplication event occurs 
SET SERVEROUTPUT ON;

DECLARE
   my_exception EXCEPTION;
   n INTEGER;
BEGIN
	n := 8;
	IF n MOD 2 = 0 THEN
		RAISE my_exception;
	END IF;
	DBMS_OUTPUT.PUT_LINE('That''s all folks');
EXCEPTION
	WHEN my_exception THEN
		DBMS_OUTPUT.PUT_LINE('Exception raised by the user');
END; 
/
